# _CSVOutput
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L93)</span>
```pony
class ref _CSVOutput
```

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L96)</span>


```pony
new ref create(
  env: Env val)
: _CSVOutput ref^
```
#### Parameters

*   env: [Env](builtin-Env.md) val

#### Returns

* [_CSVOutput](ponybench-_CSVOutput.md) ref^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L99)</span>


```pony
fun ref apply(
  results: _Results val)
: None val
```
#### Parameters

*   results: [_Results](ponybench-_Results.md) val

#### Returns

* [None](builtin-None.md) val

---

## Private Functions

### _print
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L102)</span>


```pony
fun box _print(
  msg: String val)
: None val
```
#### Parameters

*   msg: [String](builtin-String.md) val

#### Returns

* [None](builtin-None.md) val

---

